/// <reference types="node" />
/**
 * Basic parser for HTTP-based HAP event messages.
 */
import { EventEmitter } from 'events';
export default class HttpEventParser extends EventEmitter {
    private _pending;
    private _state;
    private headers;
    private protocol;
    version: string | null;
    statusCode: number | null;
    statusMessage: string | null;
    body: Buffer;
    /**
     * Initialize the HttpEventParser object.
     */
    constructor();
    /**
     * Execute parser on a chunk of data.
     *
     * @param {Buffer} data - Chunk of data
     */
    execute(data: Buffer): void;
    /**
     * Reset the internal parser state.
     */
    private _reset;
}
//# sourceMappingURL=http-event-parser.d.ts.map